#!/usr/bin/env python

from sys import argv

import os, sys

datalist = ['reged','sido','cina','marti']
exelist = ['fsvm','fsvm2','auc','acc']

def fscv(exe, name, fd):
    if exe in ['fsvm','fsvm2']:
    	cmd = "./%sCV.py ../../data/%s0_train.svm" % (exe, name)
    elif exe in ['auc']:
	cmd = "./fsvm3CV.py ../../data/%s0_train.svm ../../model/%s.L2.diffauc" % (name, name)
    elif exe in ['acc']:
	cmd = "./fsvm3CV.py ../../data/%s0_train.svm ../../model/%s.L2.diffacc" % (name, name)

    dumm_in, std_out = os.popen2(cmd)

    line = ''
    while 1:
	last_line = line
	line = std_out.readline()
	if not line: break
    last_line = last_line.rstrip()
    fd.write("%s" % last_line)
    fd.write("\t")
    fd.flush()

    if exe is 'fsvm':
	exe = 'fsc'
    elif exe is 'fsvm2':
	exe = 'w'
    os.system("mv %s0_train.svm.select ../../log/%s.%s0_train.svm.select" % (name, exe, name))
    os.system("rm -f %s0*" % (name))
    os.system("rm -f temp*")


#### ENTRY POINT ####
fd = open("../../log/cv.table",'w')
for data in datalist:
    fd.write("\t%s\t" % (data))
fd.write("\n")
for exe in exelist:
    if exe is 'fsvm':
    	fd.write("fsc\t")
    elif exe is 'fsvm2':
	fd.write("w\t")
    else:
	fd.write("%s\t" % exe)
    if exe in ['auc','acc']:
	for data in datalist:
	    if data is 'sido':
		fd.write("-\t")
	    else:
	    	fscv(exe, data, fd)
    else:
    	for data in datalist:
	    fscv(exe, data, fd)
    fd.write("\n")

fd.close()
