#!/usr/bin/env python

from sys import argv

import os, sys

datalist = ['reged','cina','marti','lucas','lucap']

def fselect(name):
    if not os.path.isfile("../../model/%s.L%s.diffauc" % (name, sys.argv[1])):
	os.system("./genrank.py %s %s" % (name, sys.argv[1]))
    i = 0
    if sys.argv[1] == '1':
    	os.system("./fsvm3_L1.py ../../data/%s%s_train.svm ../../data/%s%s_train.svm ../../model/%s.L1.diffauc ../../model/linear_L1/auc/" % (name, i, name, i, name))
    elif sys.argv[1] == '2':
    	os.system("./fsvm3_L2.py ../../data/%s%s_train.svm ../../data/%s%s_train.svm ../../model/%s.L2.diffauc ../../model/linear_L2/auc/" % (name, i, name, i, name))

    for i in range(3):
	if sys.argv[1] == '1':
	    os.system("./fsvm3_L1.py ../../data/%s%s_train.svm ../../data/%s%s_test.svm ../../model/%s.L1.diffauc ../../model/linear_L1/auc/" % (name, 0, name, i, name))
	elif sys.argv[1] == '2':
	    os.system("./fsvm3_L2.py ../../data/%s%s_train.svm ../../data/%s%s_test.svm ../../model/%s.L2.diffauc ../../model/linear_L2/auc/" % (name, 0, name, i, name))
    
    i = 0
    for i in range(3):
	os.system("cp %s%s_train.svm.predict %s%s_train.predict" % (name, 0, name, i))
	os.system("mv %s%s_test.svm.predict %s%s_test.predict" % (name, i, name, i))
	os.system("cp %s%s_train.svm.slist %s%s_feat.slist" % (name, 0, name, i))
	if sys.argv[1] == '1':
	    os.system("mv %s%s_train.predict ../../results/linear_L1/auc" % (name, i))
	    os.system("mv %s%s_test.predict ../../results/linear_L1/auc" % (name, i))
	    os.system("mv %s%s_feat.slist ../../results/linear_L1/auc" % (name, i))
	elif sys.argv[1] == '2':
	    os.system("mv %s%s_train.predict ../../results/linear_L2/auc" % (name, i))
	    os.system("mv %s%s_test.predict ../../results/linear_L2/auc" % (name, i))
	    os.system("mv %s%s_feat.slist ../../results/linear_L2/auc" % (name, i))
	
    os.system("rm -f *.out")
    os.system("rm -f *.png")
    os.system("rm -f temp*")
    os.system("rm -f %s*" % name)
    

### ENTRY POINT ###
for data in datalist:
    fselect(data)


