#!/usr/bin/env python

import sys
import os
from os import system

if len(sys.argv) not in [2,3]:
	print 'Usage: %s kernel fea-rank' % sys.argv[0]
	print '    kernel: 1: L1-linear, 2: L2-linear, 3: L2-RBF'
	print '    fea-rank: fsc, w, auc, acc'
	raise SystemExit

if sys.argv[1] not in ['1','2','3'] or sys.argv[2] not in ['fsc','w','auc','acc']:
	print 'Usage: %s kernel fea-rank' % sys.argv[0]
	print '    kernel: 1: L1-linear, 2: L2-linear, 3: L2-RBF'
	print '    fea-rank: fsc, w, auc, acc'
	raise SystemExit

if sys.argv[2] is 'fsc':
    method = 'fscore'
else:
    method = sys.argv[2]

if sys.argv[1] in ['1','2']:
    os.chdir("liblinear/tools/")
    system("./exp_%s.py %s" % (sys.argv[2], sys.argv[1]))
    os.chdir("../../results/linear_L%s/%s" % (sys.argv[1], method))
    system("tar cvf results.tar *.predict *.slist; gzip results.tar")
else:
    os.chdir("libsvm/tools/")
    system("./exp_%s.py" % (sys.argv[2]))
    os.chdir("../../results/rbf_L2/%s" % (method))
    system("tar cvf results.tar *.predict *.slist; gzip results.tar")

